package net.wanji.opt.controllerv2.report;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import net.wanji.common.framework.i18n.I18nResourceBundle;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.controllerv2.report.design.AreaCrossRunStateDayAnalysisResult;
import net.wanji.opt.controllerv2.report.design.CrossRunStateAnalysisResult;
import net.wanji.opt.controllerv2.report.design.CrossRunStatePeakAnalysisResult;
import net.wanji.opt.controllerv2.report.vo.CrossRunStateAnalysisResultResponseDTO;
import net.wanji.opt.controllerv2.report.vo.CrossRunStatePeakResultResponseVO;
import net.wanji.opt.servicev2.report.CrossRidLaneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 路口运行状态 接口API
 * </p>
 *  @version 1.0
 * @author
 * @Date 2025-03-18
 */
@RestController
@Slf4j
@RequestMapping("/cross-run-state-day")
@Api(value="AreaCrossRunStateDayController", description="", tags = "路口分析报告-日报")
public class AreaCrossRunStateDayController {


    @ApiOperation(httpMethod="GET",value="2.区域路口运行分析", notes="")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "crossIds", value = "路口ID,多个id用','分隔【为空时查询所有】", required = false, dataType = "String",defaultValue = "13NEJ0B5R80,13N650B5P30"),
            @ApiImplicitParam(name = "date", value = "日期，格式：yyyy-MM-dd", required = true, dataType = "String",defaultValue = "2025-04-16"),
            })
    @GetMapping(value = "/getTotalitySituation")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaCrossRunStateDayAnalysisResult.class),
    })
    public JsonViewObject getTotalitySituation(@RequestParam(required = false) String crossIds, String date) {
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
        try {

        } catch (Exception e) {
            jsonViewObject.fail(I18nResourceBundle.getConstants("GET_FAILED_MSG"));
            log.error("{} getAll error", this.getClass().getSimpleName(), e);
        }
        return jsonViewObject;
    }

}
