package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossRunStatePeakResultResponseVO {

    @ApiModelProperty(value = "路口名称", example = "经十路（舜耕路-山大路）")
    private String crossName;

    @ApiModelProperty(value = "工作日早高峰平均交通指数与上周比较情况", example = "增加【减少】10%")
    private String amPeakAvgTrafficIndexLastWeekCompare;
    @ApiModelProperty(value = "工作日晚高峰平均交通指数与上周比较情况", example = "增加【减少】10%")
    private String pmPeakAvgTrafficIndexLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰通行能力与上周比较情况", example = "提升【下降】5%")
    private String amPeakCapacityLastWeekCompare;
    @ApiModelProperty(value = "工作日晚高峰通行能力与上周比较情况", example = "提升【下降】5%")
    private String pmPeakCapacityLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰平均延误与上周比较情况", example = "增加【减少】11%")
    private String amPeakDelayTimeLastWeekCompare;
    @ApiModelProperty(value = "工作日晚高峰平均延误与上周比较情况", example = "增加【减少】11%")
    private String pmPeakDelayTimeLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰最大排队与上周比较情况", example = "增加【减少】11%")
    private String amPeakMaxQueueLengthLastWeekCompare;
    @ApiModelProperty(value = "工作日晚高峰最大排队与上周比较情况", example = "增加【减少】11%")
    private String pmPeakMaxQueueLengthLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰停车次数与上周比较情况", example = "增加【减少】5%")
    private String amPeakStopTimesLastWeekCompare;
    @ApiModelProperty(value = "工作日晚高峰停车次数与上周比较情况", example = "增加【减少】5%")
    private String pmPeakStopTimesLastWeekCompare;

    @ApiModelProperty(value = "总体运行效果", example = "明显提升【略有下降】")
    private String totalityRunSituation;

    //================================================================================================//
    @ApiModelProperty(value = "本周早高峰集中时段", example = "7:30~8:30")
    private String thisWeekAmPeakTimeSpan;
    @ApiModelProperty(value = "本周早高峰集中时段持续时长", example = "45分钟")
    private String thisWeekAmPeakDuration;
    @ApiModelProperty(value = "本周早高峰时段开始时间上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekAmPeakStartTimeSituation;
    @ApiModelProperty(value = "本周早高峰时段结束时间上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekAmPeakEndTimeSituation;
    @ApiModelProperty(value = "本周早高峰持续时长上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekAmPeakDurationSituation;

    @ApiModelProperty(value = "本周早高峰集中时段", example = "7:30~8:30")
    private String thisWeekPmPeakTimeSpan;
    @ApiModelProperty(value = "本周早高峰集中时段持续时长", example = "45分钟")
    private String thisWeekPmPeakDuration;
    @ApiModelProperty(value = "本周早高峰时段开始时间上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekPmPeakStartTimeSituation;
    @ApiModelProperty(value = "本周早高峰时段结束时间上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekPmPeakEndTimeSituation;
    @ApiModelProperty(value = "本周早高峰持续时长上周比较情况", example = "提前【延后】20分钟")
    private String thisWeekPmPeakDurationSituation;

    //================================================================================================//
    //峰期交通流参数对比分析
    private List<CrossRunStatePeakDetailAnalysisDataVO> dataList = new ArrayList<>();
    //高峰期时段分析
    private List<CrossRunStatePeakTimeSpanAnalysisDataVO> peakList = new ArrayList<>();

}